services:
  goapp:
    build:
      context: .
      dockerfile: Dockerfile._go
    environment:
      - GO_SERVER_PORT=6000
    ports:
      - "${GO_SERVER_PORT}:${GO_SERVER_PORT}"
    depends_on:
      - pymodule
  pymodule:
    build:
      context: .
      dockerfile: Dockerfile._pymodule
    environment:
      - PYMODULE_SERVER_PORT=6001
    ports:
      - "${PYMODULE_SERVER_PORT}:${PYMODULE_SERVER_PORT}"
    depends_on:
      - ocr
  ocr:
    build:
      context: .
      dockerfile: Dockerfile._pyocr
    environment:
      - OCR_SERVER_PORT=6002
    ports:
      - "${OCR_SERVER_PORT}:${OCR_SERVER_PORT}"
